package net.geraldloeffler.tasktracker2006.service;

import java.util.List;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jws.WebService;
import net.geraldloeffler.tasktracker2006.dao.TaskDAO;
import net.geraldloeffler.tasktracker2006.domain.Task;

/**
 * Webservice implementation of Service layer operations relating to Task domain objects.
 * 
 * @author Gerald Loeffler
 */
@Stateless
@WebService
public class TaskServiceBean implements TaskService {
  @EJB
  private TaskDAO taskDAO;

  public List<Task> getAllTasks() {
    return taskDAO.findAll();
  }
}
