package net.geraldloeffler.tasktracker2006.service;

import net.geraldloeffler.tasktracker2006.domain.Entry;

/**
 * Interface to a service object that checks security rules. All methods throw
 * java.lang.SecurityException (a RuntimeException) if a security rule is
 * violated and return normally if it is obeyed.
 * 
 * @author Gerald Loeffler
 */
public interface SecurityRules {
  void checkCreateEntry(Entry entry);
  void checkUpdateEntry(Entry entry);
}
